Subject: Re: linux-next: Fixes tag needs some work in the kvm tree

From: Stephen Rothwell <[email-masked]>
Date: Sat, 17 Apr 2021 00:58:31 +1000

Hi all,

On Fri, 16 Apr 2021 16:02:01 +0200 Paolo Bonzini <[email-masked]> wrote:
>
> On 16/04/21 14:38, Christian Borntraeger wrote:
> > On 16.04.21 14:27, Stephen Rothwell wrote:  
> >> Hi all,
> >>
> >> In commit
> >>
> >>    c3171e94cc1c ("KVM: s390: VSIE: fix MVPG handling for prefixing and >> MSO")
> >>
> >> Fixes tag
> >>
> >>    Fixes: bdf7509bbefa ("s390/kvm: VSIE: correctly handle MVPG when in >> VSIE")
> >>
> >> has these problem(s):
> >>
> >>    - Subject does not match target commit subject
> >>      Just use
> >>     git log -1 --format='Fixes: %h ("%s")'  
> > 
> > Hmm, this has been sitting in kvms390/next for some time now. Is this a > new check?
> >   
> 
> Maybe you just missed it when it was reported for kvms390?
> 
> https://www.spinics.net/lists/linux-next/msg59652.html

It was a different commit SHA then and was reported because the Fixes
SHA did not exist.  It was fixed the next day, so I guess either I
missed reporting this different problem, or I thought at least it had
been fixed to use the correct SHA.  I am not completely consistent,
sometimes :-)
-- 
Cheers,
Stephen Rothwell